 Welcome page

The Net8 Assistant allows you to configure and manage your Oracle networking environment. It supports the following features:

Profile | Contains a collection of parameters that determine how the client (or server acting as a client) connects to the Oracle network. It determines how the client uses the features of Net8, such as naming methods, logging, tracing, and the Oracle Advanced Security option. The profile is stored in SQLNET.ORA. SQLNET.ORA is located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms. Click on the Profile icon to configure a profile for either a client or server. Additional Information: See Using a Profile for more information.
Net Service Names | Net service names are network descriptions of service names. A network description specifies one or more network routes to a service, including any number of Net8 components. Net service names may be stored in local configuration files, an Oracle Names Server, or an external naming service. If you do not plan to use either Oracle Names or an external naming service, you may configure net service names and addresses locally with each client. Double-click on the Net Service Names folder to configure net service names locally to TNSNAMES.ORA. TNSNAMES.ORA is located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms. Additional Information: See Using Net Service Names for more information.
Listeners | Net8 coordinates its sessions from a client to a service with the help of a listener. A listener is a process that receives and responds to client connection requests for a database instance. Double-click on the Listeners folder to display and configure existing listeners on the network, or to add a new listener. Listener information is stored to LISTENER.ORA. LISTENER.ORA is located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms. Additional Information: For more information, click on Using Listeners.
Oracle Names Server | Oracle Names Servers provide a distributed naming service that helps to simplify the set up and administration of your Oracle network. Double-click on the Oracle Names Servers folder to configure, manage and operate Oracle Names servers. Configured information for an Oracle Names server is stored to NAMES.ORA. NAMES.ORA is located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms. Additional Information: Using an Oracle Names Server.


 Using A Profile

A profile is a collection of parameters that specifies preferences for enabling and configuring Net8 features on the client or server. A profile is stored and implemented through a configuration file called SQLNET.ORA, located at $ORACLE_HOME/network/admin on UNIX and ORACLE_ HOME\network\admin on Windows platforms. Use the Net8 Assistant’s Profile icon to modify a profile and:

  • Prioritize naming methods

  • Enable tracing and logging features

  • Route connections through specific processes

  • Configure the Oracle Advanced Security Option

To create or modify a profile:

  1. Click on the Profile icon.

  2. Use the pull down menu on the right hand side screen to select from a list of available preferences that you may configure.


 Prioritizing Naming Methods

Naming methods are used by Net8 to resolve a net service name to an address when attempting to connect a client to a server. They serve the same function that DNS servers do in making telnet or browser connections.

Methods supported are:

TNSNAMES:

TNSNAMES uses a local file, TNSNAMES.ORA, to store net service names on the client. This file is locally maintained to point the client to the services it needs. This naming method works best on small networks, and is not limited by protocol. To enter net service names that will be saved to the TNSNAMES.ORA file, see Using Net Service Names.

ONAMES:

ONAMES specifies Net8 to use Oracle Names servers to resolve a net service name to a network address. Oracle Names is a distributed naming service developed for Oracle environments. Oracle Names stores and maintains net service names and addresses in an integrated system of Names Servers. If you specify ONAMES, Net8 will forward a client's connect request to a nearby Oracle Names server in an attempt to resolve the net service name to an address.

IMPORTANT: If you selected ONAMES, you need to specify a Preferred Names Server or use the Discover Oracle Names Server option in order for the client to know about Oracle Names servers.

See Also:

  • Configuring the Client to Use Preferred Names Servers
  • Discovering Oracle Names Servers

HOSTNAME:

HOSTNAME specifies Net8 to resolve a hostname to an address. This option may be used if all of the following are true:

  • Your client and server are using a TCP/IP protocol.

  • The hostname is resolved through an IP address translation mechanism such as DNS, NIS, or a centrally maintained TCP/IP hosts file.

  • No Oracle Connection Manager features are requested.

  • The original or canonical host name of the machine matches the global database name.

HOSTNAME is enabled by default for TCP/IP environments.

See Also: Net8 Administrator’s Guide

CDS/NDS/NIS:

Cell Directory Service (CDS), Netware Directory Service (NDS), and Network Information Service (NIS) are all native naming services supported by Net8. If you are using a native naming service, Net8 will forward the connect request to that service in an attempt to resolve the net service name to an address.

Note: If you select CDS, NDS, or NIS, you will need to specify additional parameters.

See Also: Net8 Administrator’s Guide

To specify the use of naming methods:

  1. Click the Profile icon.

  2. Choose Naming from the drop-down list box.

  3. Click the Methods tab.

  4. Choose from the Available Methods list which naming method you want to use.

  5. Order the naming methods according to which method you want Net8 to try first when resolving net service names. Select the naming method in the Selected Methods list, and use the Promote or Demote button to move the selection up or down in the list.

  6. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Using Domains

A domain can be specified that indicates the domain from which the client most often requests names. When the domain is set, it is automatically appended to the net service name in a connect string. For example, if INVENTORYDB is the net service name configured in TNSNAMES.ORA and NAMES.DEFAULT_DOMAIN=COM is set, the connect string SCOTT/TIGER@INVENTORYDB gets searched in the TNSNAMES.ORA as INVENTORYDB.COM. If the connect string includes the DOMAIN extension, (such as SCOTT/TIGER@INVENTORYDB.COM), the domain is not appended.

To specify a domain:

  1. Click the Profile icon.

  2. Choose Naming from the drop-down list box.

  3. Click the Oracle Names tab.

  4. Enter the domain in the Default Domain field.

  5. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Routing Connection Requests

The client and servers acting as clients can be configured so connection requests are directed to a specific process at all times.

To route connection requests:

  1. Click the Profile icon.

  2. Choose General from the drop-down list box.

  3. Click the Routing tab.

  4. Click the preferred way you want connection requests routed.

    Always Use Dedicated Server:

            Forces the listener to spawn a dedicated server for all network sessions from this client. Server in this sense does not refer to a machine, but to the process on the database side that handles client requests. Server processes can either be shared with other client requests or dedicated. Dedicated server processes are committed to one session only and exist for the duration of that session.
    Note: If enabled, this option will override the Use Dedicated Servers option in the Net Service Name panel. Using this option will make your connection faster, but will make the server slower. It is recommended that unless you are making massive database transactions with very little idle time, do not use this option.

    Prefer Connection Manager Routing:

            Instructs the client to try to use an Oracle Connection Manager whenever possible. Oracle Connection Manager is an application that provides support for concentration, multiple protocol support, and Net8 access control functionality.
    Addresses that resolve to an Oracle Connection Manager are specially marked in the network configuration for the client. If this option is chosen, these addresses will be used and preferred over other addresses for a net service name.

  5. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Profile Logging and Tracing

Tracing allows you to diagnose and troubleshoot network problems. Tracing does this by keeping track of the steps performed by the client and the server during a network connection. This is different from logging in that logging only keeps track of whether entire operations fail or succeed, where tracing reports the success of the components of each operation. Trace information is typically stored in SQLNET.TRC for the client and SVR_PID.TRC for the server in $ORACLE_ HOME/network/trace on UNIX and ORACLE_HOME\network\trace on Windows platforms

Logging is a feature that allows you to track and save errors, service activity, and statistics as they occur on a client and/or server. This information is written to a log file. It is a much higher level version of tracing, one that does not record the small steps of each process, but the success or failure of the process as a whole. Log information is typically stored in SQLNET.LOG in $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\log on Windows platforms

To enable logging or tracing:

  1. Click the Profile icon.

  2. Choose General from the drop-down list box.

  3. Click the Logging or Tracing tab.

  4. Specify the settings.

  5. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Specifying Preferred Oracle Names Servers

 Configuring Preferred Oracle Names Servers

If you are using Oracle Names as a naming method, you can specify the name and address of preferred Oracle Names servers to take precedence over any other available Oracle Names server addresses. Net8 will route connect requests to each preferred Oracle Names Server until a response is received.

The addresses for Preferred Oracle Names servers are stored in the SQLNET.ORA file.

Note: This is an alternative to using the Discover Oracle Names Servers option, a newer feature that creates a list of Oracle Names servers in a SDNS.ORA file. The SDNS.ORA file is based on what is available throughout the network, ranked in the order of fastest response time. Preferred Oracle Names servers override any other Oracle Names servers found in the discovery process. Once you have initially discovered an Oracle Names Server and generated an Oracle Names server list file, you may want to delete preferred Oracle Names Servers.

To specify a preferred Oracle Names server:

  1. Click the Profile icon.

  2. Choose Preferred Names Server from the drop-down list box.

  3. Choose a protocol used by the Oracle Names server from the Protocol drop-down list box.

  4. Enter information in the fields as appropriate:

    Protocol
            Parameter
            Description
    IPC

            KEY

            Identifies the Oracle Names server.

    Named Pipes

            SERVER

            Identifies the name of the Oracle Names server.

            PIPE

            Identifies the pipe name to use to connect to the Oracle Names server (the same PIPE keyword you specified on the server with Named Pipes). This name can be any name.

    SPX

            SERVICE

            Defines the name of the TNS-based application on the network.

    TCP/IP

            HOST

            Identifies the Oracle Names server host name.

            PORT

            Identifies the Oracle Names server listening port number. Oracle Corporation recommends port 1575.

    TCP/IP with SSL
    Note: Choosing this protocol configures a default implementation of SSL for this machine.

            HOST

            Identifies the Oracle Names server host name.

            PORT

            Identifies the Oracle Names server listening port number. Oracle Corporation recommends port 1575.

  5. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.

To create additional preferred Oracle Names servers:

Click New.

To delete a preferred Oracle Names server:

Click Delete.


 Configuring Advanced Profile Information

The profile configuration file SQLNET.ORA can be configured with the following advanced features:

TNS Time Out Value:

Net8 sends a probe periodically to verify that a client-server connection is still active. This is done to ensure that connections are not left open indefinitely due to abnormal client terminations. If the probe finds a dead connection, or a connection that is no longer in use, it returns an error. The connection is then terminated.

Note: Only available on the server.

Client Registration ID:

The listener includes a unique identifier in the log file. It will not make network transactions more secure, but will show up in both client and server log files. The identifier can be any string up to 128 characters long.

Turn off UNIX Signal Handling:

Configures the client to pass child process cleanup to the UNIX init process by disabling signal handlers.

Since the client application spawns a server process internally through the Bequeath protocol as a child process, the client application becomes responsible for cleaning up the child process when it completes. When the server process completes its connection responsibilities, it becomes a defunct process. Signal handlers are responsible for cleaning up these defunct processes.

Disable Out of Band Break:

Disables out of band breaks if the underlying transport that a client is using does not support it. Out of bound breaks allow the user to cancel an operation in progress. Disabling them means that all requests submitted must be completed.

To configure advanced profile information:

  1. Click the Profile icon.

  2. Choose General from the drop-down list box.

  3. Click the Advanced tab.

  4. Enter the values for parameter you would like to set.

  5. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Configuring the Oracle Advanced Security Option

 Configuring Oracle Advanced Security Option

The Advanced Security Option pull-down option allows you to configure profile parameters for the Oracle Advanced Security option. The Oracle Advanced Security option enables network data encryption and checksumming, enhanced authentication methods including single sign-on, and support for Distributed Computing Environment (DCE) Integration.

To configure the Oracle Advanced Security option:

  1. Click the Profile icon.

  2. Choose Advanced Security Option from the drop-down list box. If this option is not available, then it was not installed.

    See Also: Oracle Advanced Security Administrator’s Guide

  3. Choose or edit options as applicable.

  4. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Oracle Advanced Security Option Authentication Methods

Centralized, secure authentication methods allow you to have high confidence in the identity of users, clients, and servers in distributed environments. Network authentication methods can also provide the benefit of single sign–on for users.

The Oracle Advanced Security option allows you to configure the following authentication methods:

  • Kerberos

  • Identix

  • CyberSafe

  • SecurID

  • Windows NT Native

  • RADIUS

    Note: If you have configured the TCP/IP with SSL protocol, the Secure Sockets Layer (SSL) will be configured by default. Any authentication method you choose in this tab will override authentication features of SSL. See the SSL tab to configure additional SSL options. If you are using the TCP/IP with SSL protocol, do not use any of the other authentication methods.

To configure authentication methods:

  1. Click the Profile icon.

  2. Choose Advanced Security Option from the drop-down list box.

  3. Click the Authentication tab.

  4. Select from the Available Methods list which authentication method you want to use, and click >.

  5. Order the authentication methods according to which method you want used. Select the authentication method in the Selected Methods list, and use the Promote or Demote button to move the selection up or down in the list.

  6. Click the Other Params tab to configure additional parameters for the following authentication methods:

    -Kerberos

    -CyberSAFE

    -RADIUS

    -Identix

  7. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Checksumming

Checksumming is the comparison of data sent over the connection as seen by both client and server.

To configure checksumming:

  1. Click the Profile icon.

  2. Choose Advanced Security Option from the drop-down list box.

  3. Click the Integrity tab.

  4. Enable client or server checksumming by clicking in either the Client or Server checkbox.

  5. Specify the degree of checksumming behavior as a client is connecting to a server by selecting a value from the Checksum Level drop-down list box.

    You may select one of the following options:

    Accepted:

            Service will be active if the other side of the connection specifies either "required" or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.

    Rejected:

            Service must not be active, and the connection will fail if the other side specifies "required".

    Requested:

            Service will be active if the other side of the connection specifies either "accepted", "required", or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.

    Required:

            Service must be active, and the connection will fail if the other side specifies "rejected", or if there is no compatible algorithm on the other side.

  6. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Encryption

To configure encryption parameters:

  1. Click the Profile icon.

  2. Choose Advanced Security Option from the drop-down list box.

  3. Click the Encryption tab.

  4. Select either Client or Server from the Encryption drop-down list box.

    Select a value from the Encryption Type drop-down list box to specify the degree of encryption behavior as a client is connecting to a server:

    Accepted:

            Service will be active if the other side of the connection specifies either "required" or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.

    Rejected:

            Service must not be active, and the connection will fail if the other side specifies "required".

    Requested:

            Service will be active if the other side of the connection specifies either "accepted", "required", or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.

    Required:

            Service must be active, and the connection will fail if the other side specifies "rejected", or if there is no compatible algorithm on the other side.

  5. Enter any valid encryption seed in the Encryption Seed field. The encryption seed specifies the characters used when generating cryptographic keys. This is required when either encryption or checksumming is enabled.

  6. Click on an encryption type from the list of Available Services. Use the < or > buttons to move encryption types to the list of Selected Services from the list of Available Services. The following algorithms are supported by Oracle Advanced Security option:

    DES

            standard 56 bit key size used domestic only

    RC4_40

            40 bit key size, used domestic and international

    DES40

            40 bit key size used domestic and international

    RC4_56

            56 bit key size used domestic only

    RC4_128

            128 bit key size used domestic only

  7. Choose Save Network Configuration from the File menu to save changes to SQLNET.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Using Net Service Names

A logical representation of a database is called a service, or a service name, which is the way a database is presented to clients. A database can be presented as multiple services and a service can be implemented as multiple database instances.

A user identifies a service through a net service name. A net service name is a network description of a service name. routes to the service, including any number of Net8 components, such as listeners and Oracle Connection Managers. When an end user connect to a service, a connect string that identifies the service through a net service name is used:

connect username/password@net_service_name

Depending on your needs, net service names can be stored in a variety of places, including:

  • an existing name resolution service an IP address translation mechanism, such as DNS, or a centrally maintained TCP/IP hosts file

  • a local configuration file called TNSNAMES.ORA on each client

  • an Oracle Names server

  • an external naming service such as NIS or DCE CDS

The Net8 Assistant allows you to configure net service names in a local TNSNAMES.ORA file for each client or centrally configured in Oracle Names servers.

During client installation, the Net8 Configuration Assistant should have prompted you for the creation of net service names in the TNSNAMES.ORA file. If net service names were not created with the Net8 Configuration Assistant, you can create them with the Net8 Assistant, as described in Creating Net Service Names in TNSNAMES.ORA Files.

See Also: Net8 Administrator’s Guide to configure net service names using other methods.


 Setting Net Service Names

A service name is a logical representation of a service, which may include a database. A service may comprise one or more instances. When creating a net service name, you must identify a release 8.1 service with a service name. Optionally, you may identify a release 8.1 instance with a instance name.

The service name is typically the global database name, a name comprised of the database name and domain name, entered during database creation. If you are not sure what the global database name, you can obtain it from the combined values of the SERVICE_NAMES and DB_DOMAIN parameters in the database initialization file, INIT.ORA. For example, if an Oracle8i database has a service name of SALES and a domain of COM, you specify a service name of SALES.COM to identify the service.


Creating Net Service Names

 Creating Net Service Names in TNSNAMES.ORA Files

With the local naming method, net service names are added to the TNSNAMES.ORA file. A net service name is mapped to a network address contained in a connect descriptor. A connect descriptor contains the location of the listener through a protocol address and the service name of the service to which to connect. Clients use this net service name when making a connection to an application.

To create a net service name for the local naming method:

  1. Double-click on the Net Service Names folder in the directory tree. If net service names exist, they display in the tree structure.

  2. Select Create from the Edit menu or click on the "+" button to create a new net service name. The Net Service Name Wizard starts.

  3. Enter any name in the Net Service Name field, and click Next.

  4. Select the protocol the listener is configured to listen on (this protocol must also installed on the clients), and click Next.

  5. Enter the appropriate listener protocol address information for your chosen protocol in the fields, and click Next.

  6. Enter a destination service. If the destination service is release 8.1, click Oracle8i release 8.1, enter a service name in the Service Name field, and click Next. If destination service is prior to release 8.1, click Oracle8i release 8.0 or Previous, enter a SID in the Database SID field, and click Next.

  7. Click Finish to save your configuration and dismiss Net Service Names Wizard.

  8. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Modifying an Existing Service Name

 Modifying an Existing Net Service Name

To modify an existing Net Service Name:

  1. Double-click on the Net Service Names folder in the directory tree or choose Open Network Configuration from the File menu. You may either browse or enter the name of the TNSNAMES.ORA file, which stores the net service names.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Edit the applicable parameters in the right hand side tab panel.

  4. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Deleting a Net Service Name

To delete a Net Service Name:

  1. Double-click on the Net Service Names folder in the directory tree or choose Open Network Configuration from the File menu. You may either browse or enter the name of the TNSNAMES.ORA file, which stores the net service names.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Click on the Delete icon on the tool bar; or choose Delete from the Edit menu.

  4. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Testing Service Name Connectivity

 Testing Net Service Name Connectivity

To test that you can connect to the service defined by a net service name:

  1. Double-click on the Net Service Names folder in the directory tree. If net service names exist, they display in the tree structure.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Choose Test Net Service Name from the Tools menu, or click on the Test Net Service Name icon. The Connection Test dialog displays and updates as the test results are generated.


 Adding a New Protocol Address

A service may be supported by more than one listener protocol address. To add a listening address to an existing net service name.

To add a new address:

  1. Double-click on the Net Service Names folder in the directory tree or choose Open Network Configuration from the File menu. You may either browse or enter the name of the TNSNAMES.ORA file, which stores the net service names.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Select the net service name you want to add the additional address to, and click “+”. A new address tab appears.

  4. Specify the network protocol using the pull down menu. You may choose from either TCP/IP, SPX, IPC, or Named Pipes.

  5. Enter values for any protocol-specific parameters.

  6. Use the “<” and “>” buttons to demote or promote the address within the list of addresses.

  7. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Modifying an Existing Address

To modify an existing address:

  1. Select the address tab panel that you wish to edit.

  2. Edit the applicable parameters.

  3. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Deleting a Protocol Address

To delete a Net Service Name:

  1. Double-click on the Net Service Names folder in the directory tree or choose Open Network Configuration from the File menu. You may either browse or enter the name of the TNSNAMES.ORA file, which stores the net service names.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Select the address tab to delete, and click ”X”.

  4. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Failover and Load Balancing

Client load balancing is when a client will randomly choose between the listeners for its connect requests. When client load balancing is set to ON, Net8 balances the load over the list of listener addresses by picking one at random. When set to OFF, Net8 uses the elements in the list in the order in which they are provided.

Failover is when a client connect fails over to a different listener if the first listener fails. When failover is set to on, Net8 proceeds through all the listener addresses until one succeeds.

Note: The Net8 Assistant only supports load balancing and failover for an ADDRESS_LIST. If you require load balancing and failover for a DECRIPTION_ LIST, you must configure the TNSNAMES.ORA file manually. See the Net8 Administrator’s Guide.

To configure fail over and load balancing:

  1. Double-click on the Net Service Names folder in the directory tree.

  2. Click on an existing net service name that has multiple addresses configured.

  3. Click Advanced in the Address Configuration group window.

  4. Ensure the Use Options Compatible with Net8 8.0 Clients option is turned off.

  5. Select one of the following options:

    Try each address, in order, until one succeeds:

    Select this option to turn on the fail over feature for release 8.1 client. If the first address cannot be reached, fail over, allows the client to use the next listener address.

    Try each address, randomly, until one succeeds:

    Select this option to turn on load balancing and fail over features for a release 8.1 client.

    Try one address, selected at random:

    Select this option to turn on the load balancing feature for a release 8.1 client. Load balancing randomly chooses between listener addresses.

  6. Click OK.

  7. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Advanced Connection Characteristics

To configure advanced connection options for a net service name:

  1. Double-click on the Net Service Names folder in the directory tree or choose Open Network Configuration from the File menu. You may either browse or enter the name of the TNSNAMES.ORA file, which stores the net service names.

  2. Click on an existing Net Service Name file in the Net Service Names folder in the left hand side screen.

  3. Click Advanced in the Service Identification group window.

  4. Select the options and enter information in the fields as appropriate. See Advanced Options dialog box for a description of advanced options.

  5. Choose Save Network Configuration from the File menu to save changes to TNSNAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Using Listeners

Services coordinate their sessions with the help of a listener. The listener is a single process or task setup specifically to receive connection requests on behalf of an application. Listeners are configured to "listen on" an address specified in a listener configuration file (called LISTENER.ORA) for a database service or non-database service. Once started, the listener will receive client connect requests on behalf of a service.

Displaying Listeners

Double-click on the Listeners folder to display individual listeners already configured on the network. Each listener is identified by a listener icon and the name of the listener. If there are no listeners currently configured on the network, you can add a listener by pressing on the “+” button, or by selecting Create from the Edit menu. A Choose Listener Name dialog box will then appear requesting that you name the listener.

Easy Configuration

An Oracle8i database instance dynamically registers itself with the listener. Prior releases required configuration of the database SID description information in the LISTENER.ORA. In order to take advantage of release 8.1 features, use the latest listener.

Listener protocol addresses must be configured for listening endpoints. TCP/IP and IPC addresses by the Net8 Configuration Assistant after installation.


 Creating a Listener

A listener should be created on the server. This is not a client operation.

During the installation process, a listener named LISTENER is configured.

To create a listener:

  1. Double-click on the Listeners folder.

  2. Select Create from the Edit menu or click on the "+" button to create a new LISTENER.ORA file. Enter a unique listener name in the Choose Listener Name dialog box. The first listener created is defaulted to LISTENER.


 Using a Listener Name Other Than the Default

By default the listener name is LISTENER for the first listener. Subsequent listener names are defaulted to LISTENERn. The listener name must be unique any given node. The listener can be given any name.

To provide a listener with a new name:

  1. Double-click on the Listeners folder.

  2. Click on a listener.

  3. Choose General Parameters from the drop-down list box.

  4. Modify the Listener Name field with the new listener name.

  5. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Configuring Protocol Addresses

 Configuring Listener Protocol Addresses

The listener address you configured for in the TNSNAMES.ORA file or for an Oracle Names must also be configured in LISTENER.ORA. During installation, IPC and TCP/IP are configured in the LISTENER.ORA.

To configure a listener address:

  1. Double-click on the Listeners folder.

  2. Click on a listener. If a listener does not exist, select Create from the Edit menu or click on the "+" button to create a new LISTENER.ORA file. Enter a unique listener name in the Choose Listener Name dialog box.

  3. Choose Listening Locations from the drop-down list box.

  4. Click Add Address.

  5. Choose the protocol and enter the requested protocol information:

    Protocol
            Parameter
            Description
    IPC

            KEY

            Identifies the server. Oracle Corporation recommends using the listener name.

    Named Pipes

            SERVER

            Identifies the name of the server.

            PIPE

            Identifies the pipe name to use to connect to the server (the same PIPE keyword you specified on the server with Named Pipes). This name can be any name.

    SPX

            SERVICE

            Defines the name of the TNS-based application on the network.

    TCP/IP and TCP/IP with SSL
    Note: Choosing the TCP/IP with SSL protocol configures a default implementation of SSL for this machine.

            HOST

            Identifies the host name of the server.

            PORT

            Identifies the listener port number.
    • 1521 is the default listening port for client connections to a database service. In future release, this port number may change to the officially registered port number of 2483 for TCP/IP and 2484 for TCP/IP with SSL.
    • 2481 is the recommended and officially registered listening port for client connections to the Java option using TCP/IP.
    • 2482 is the recommended and officially registered listening port for client connections to the Java option using TCP/IP with SSL.
    • 1575 is the default and officially registered listening port for an Oracle Names server using TCP/IP or TCP/IP with SSL.
    • 1630 is the default and officially registered listening port for Oracle Connection Manager using TCP/IP.

  6. Choose Net8 Client for typical client connections to database services, or choose IIOP Clients for client connection to the Java option. If IIOP Clients is chosen, ensure the protocol is TCP/IP on port 2481 or TCP/IP with SSL on port 2482.

  7. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.

See Also: Net8 Administrator’s Guide for further Java option configuration.


 Removing a Listener Address

To remove an existing protocol:

  1. Double-click on the Listeners folder.

  2. Click on a listener.

  3. Choose Listening Locations from the drop-down list box.

  4. Select the Address tab containing the protocol address to remove, and click Remove Address.

  5. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Statically Configuring a Listener

In order for the listener to accept client requests to an Oracle8i release 8.0 or Oracle7 database, the LISTENER.ORA file must be configured with information about the database. Static configuration is also required for other services, such as external procedures and heterogeneous services, and some management tools, including Oracle Enterprise Manager version 2.

To configure database information for a listener:

  1. Double-click on the Listeners folder.

  2. Click on a listener.

  3. Choose Database Services from the drop-down list box.

  4. Modify the fields as appropriate.

  5. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Configuring Prespawned Dedicated Servers

Prespawned dedicated servers improve the time it takes to establish a connection to a server where the multi-threaded server is not in use or is not supported on a given machine. Prespawned dedicated servers also allow for better use of allocated memory and system resources by recycling server processes. They do this by creating ready to use database service processes to handle requests on various protocols. This way, users do not need to wait for a new process to initialize when making a connection.

To create prespawned dedicated servers:

  1. Double-click on the Listeners folder.

  2. Click on a listener.

  3. Choose Database Services from the drop-down list box.

  4. Select Use Prespawned Dedicated Server, and click Configure Prespawned Servers.

  5. In the Configure Prespawned Servers dialog box, enter appropriate information.

  6. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Configuring Logging and Tracing

 Configuring Oracle Names Logging and Tracing

Logging refers to the process by which an Oracle Names server will note and append error-specific information to a log file. Log information is typically stored in NAMES.LOG in $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\log on Windows platforms.

Tracing is an additional feature that allows you to obtain more information about the internal operations of an Oracle Names server than is provided in a log file. Trace information is typically stored in NAMES.TRC server in $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\ltrace on Windows platforms

To enable logging or tracing:

  1. Double-click on the Oracle Names Servers folder.

  2. Select a Oracle Names server in the region.

  3. Choose Configure Server from the drop-down list box.

  4. Click the Advanced tab.

  5. Specify the settings.

To enable logging or tracing during an Oracle Names runtime session:

  1. Double-click on the Oracle Names Servers folder.

  2. Select a Oracle Names server in the region.

  3. Choose Manage Server from the drop-down list box.

  4. Click the Logging tab.

  5. Specify the settings.


 Creating an Oracle Names Server

You should only create an Oracle Names server on this node if you want the local network node to be the Oracle Names server for the entire region. This is not an function for client installations. To create an Oracle Names server, perform these tasks:

  • Task 1: Consider Oracle Names Options

  • Task 2: Create Oracle Names Servers

  • Task 3: Create Net Service Names

  • Task 4: Configure Clients

Note: Only one Oracle Names server can be created on this node with the Net8 Assistant.

See Also: See the Net8 Administrator’s Guide for complete configuration instructions and Oracle Names Control Utility (NAMESCTL) commands.


 Task 1: Consider Oracle Names Options

Prior to creating an Oracle Names server, you must decide whether:

  • You need service registration data replicated continuously among Oracle Names servers, or want all Oracle Names servers within a region to store their registration data in tables an Oracle database.

  • You need support for one or more administrative regions. An administrative region is a collection of Oracle Names servers in one or more domains, a grouping of network objects, such as databases. Networks with multiple administrative regions must have one root administrative region and one or more delegated administrative regions. Delegated administrative regions contain the domains and Oracle Names server addresses in any alternate regions which act as direct child regions of the root.

  • Each Oracle Names server started within a region makes itself known to all other Oracle Names servers within the local region. All new services register with a given Oracle Names server. The Oracle Names server then provides this service information to all Oracle Names servers in the region or places information in the database.


 Task 2: Create Oracle Names Servers

How an Oracle Names server is created depends upon whether you want service registration data stored in an Oracle database or replicated data continuously among themselves. To configure one of the modes:

  • Store Data in a Database

  • Replicate Data Among Oracle Names Server


 Task 3: Create Net Service Names

To create net service names:

  1. Double-click on the Oracle Names Servers folder.

  2. Select an Oracle Names server in the region.

  3. Choose Manage Data from the drop-down list box.

  4. Click the Net Service Names tab.

  5. Click Add.

  6. Enter an easy-to-remember name in the Net Service Name field.

  7. Choose a protocol and enter the listener address.

  8. Enter the service name for the database, and choose the session type.

  9. Click Execute.

  10. Choose Save Network Configuration from the File menu to save changes to NAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Task 4: Configure Clients

To configure clients to use Oracle Names servers:

  1. Choose Discover Oracle Names Servers from the Tools menu.

    This produces an SDNS.ORA file in $ORACLE_HOME/network/names on UNIX and ORACLE_ HOME\network\names on Windows platforms. This file contains the names of the Oracle Names server(s). This file is read to find the addresses of Oracle Names servers.

    The following message appears: Discovered Oracle Names Server in the region. Please exit the tool and start again.

  2. Click the Profile icon.

  3. Choose Naming from the drop-down list box.

  4. Click the Methods tab.

  5. Choose from the Available Methods list which naming method you want to use.

  6. Order the naming methods according to which method you want Net8 to try first when resolving net service names. Select the naming method in the Selected Methods list, and use the Promote or Demote button to move the selection up or down in the list.

  7. Configure optional features in the Oracle Names tab.

  8. Choose Save Network Configuration from the File menu to save changes to NAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


Oracle Connection Manager

 Using Oracle Connection Manager

Client connections to a server can routed through an Oracle Connection Manager if you want to:

  • Allow large numbers of users to access a single service through a single protocol.

  • Provide clients with different protocol support than the server supports.

  • Provide a proxy for denying or allowing access to a server.

The Oracle Connection Manager provides three capabilities for Oracle8i::

Connection Concentration: Allows you to multiplex multiple logical client sessions through a single transport connection to an Oracle database destination.

Net8 Access Control (also known as firewall support): Provides a proxy for denying or allowing access to a database server.

Multi-Protocol Support: Allows client and database servers operating on different protocol stacks to communicate with each other.

Oracle Connection Manager requires you to create a net service name with two protocol address, the first for the Oracle Connection Manager and the second for the listener address. These can be achieved with the Net8 Assistant. Other aspects of Oracle Connection Manager must be configured in the INIT.ORA and CMAN.ORA, which the Net8 Assistant does not support.

See Also: Net8 Administrator’s Guide for complete configuration instructions for Oracle Connection’s Manager’s features.


 Address List Options dialog box

When multiple addresses exists for a net service name, you can configure the address:

Try each address, in order, until one succeeds:

Select this option to turn on the fail over feature for a release 8.1 client. If the first address cannot be reached, fail over, allows the client to use the next listener address. See Configuring Fail Over and Load Balancing.

Select this option and the Use Options Compatible with Net8 8.0 Clients option to turn source routing off for a release 8.0 or previous client. See the Net8 Administrator’s Guide for further information about Oracle Connection Manager and source routing.

Try each address, randomly, until one succeeds:

Select this option to turn on load balancing and fail over features for a release 8.1 client.

See Configuring Fail Over and Load Balancing.

Try one address, selected at random:

Select this option to turn on the load balancing feature for a release 8.1 client. Load balancing randomly chooses between listener addresses.

See Configuring Fail Over and Load Balancing.

Use each address in order until destination is reached:

Select this option to turn on source routing for either a release 8.1 or release 8.0 or previous client.

When this option is set, the first address is for the client connection to an Oracle Connection Manager, and the second address is for the Oracle Connection Manager connection to a listener. In other words, addresses are interpreted sequentially.

See the Net8 Administrator’s Guide for further information about this option and configuring Oracle Connection Manager.

Use only the first address:

Select this option to not set any source routing, fail over and load balancing features.

Use Options Compatible with Net8 8.0 Clients:

Select this option if you are configuring a pre-release 8.1 client. You will only be able to select the following options:

-Try each address, in order, until one succeeds

-Use each address in order until destination is reached

The load balancing and fail over options are release 8.1 features.

Clear this option if you are configuring for a release 8.1 client. You will be able to select any of the multiple address options.


 Advanced Security Option: Authentication

The Authentication tab allows you to prioritize authentication methods.

Kerberos:

Provides support for secure, single sign-on capabilities in a distributed environment with secret key cryptography. Passwords are stored in a central repository, making password theft from the network impossible. Kerberos also provides database link authentication and enhanced PC security.

RADIUS:

Supports any authentication method that complies with the RADIUS standard, including token cards and smartcards. A RADIUS server passes information between the Oracle server and the designated authentication server(s). From the user’s perspective, the entire authentication process takes place seamlessly and transparently.

CYBERSAFE:

A Kerberos-based authentication server that provides secure authentication based on key management and shared secrets. The Challenger has password checking and authentication with token security cards.

Identix:

Enrolls each user by scanning their fingerprints and storing them in a central Biometric Authentication Server. The stored print is compared to the print read by the Identix TouchNet fingerprint scanner at sign-on time. This technology eliminates password stealing or "borrowing”. Because biometric authentication is based on the user’s fingerprint, traditional problems of forgotten passwords and lost tokens are eliminated.

NTS:

Allows operating system authentication to be performed between a client and an Oracle server on Windows NT. The Windows NT Native authentication method enables database user authentication through Windows NT. This enables client machines to make secure connections to an Oracle8 database on a Windows NT server. A secure connection is when a Windows NT client user name is retrieved on a Windows NT server through the Windows NT Native authentication method. The Windows NT server then permits the user name to perform the database actions on the server.

See Also: Windows NT documentation.

SecurID

Requires two additional pieces of information besides the user name and password to access a database—a secret Personal Identification Number (PIN) and a unique, one-time number generated by an electronic token card issued to the user. Since a user must have the physical device in their possession while logging on, token authentication helps verify a user’s identity.

< button:

Click to move an authentication method from the Available Services list to the Selected Services list.

> button:

Click to move an authentication method from the Selected Methods to the Available Methods list.

Promote button:

Click to move an authentication method up in the Selected Methods list. Net8 tries to use the first method. If it cannot use the first method, it uses the second method, and so on.

Demote button:

Click to move an authentication method down in the Selected Methods list.

Note: If you have configured the TCP/IP with SSL protocol, the Secure Sockets Layer (SSL) will be configured by default. Any authentication method you choose in this tab will override authentication features of SSL. See the SSL tab to configure additional SSL options. If you are using the TCP/IP with SSL protocol, do not use any of the other authentication methods.

See Also: Oracle Advanced Security Administrator’s Guide


 Advanced Security Option: Encryption

The Encryption tab allows you to configure encryption parameters for the authentication methods.

Note: Use the SSL tab to configure Cipher Suites for the Secure Sockets Layer (SSL).

Encryption:

From the drop-down list, select the machine you are currently configuring, either Client or Server.

Encryption Type:

From the drop-down list, select a value from the to specify the degree of encryption behavior as a client is connecting to a server:

Accepted | Service will be active if the other side of the connection specifies either "required" or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.
Rejected: | Service must not be active, and the connection will fail if the other side specifies "required".
Requested: | Service will be active if the other side of the connection specifies either "accepted", "required", or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.
Required: | Service must be active, and the connection will fail if the other side specifies "rejected", or if there is no compatible algorithm on the other side.
Encryption Seed:

Enter any valid encryption seed in the Encryption Seed field. The encryption seed specifies the characters used when generating cryptographic keys. This is required when either encryption or checksumming is enabled.

Available Methods/Selected Methods:

Click on an encryption type from the list of Available Methods. Use the “<” or “>” buttons to move encryption types to the list of Selected Services from the list of Available Services. The following algorithms are supported by Oracle Advanced Security option:

DES | standard 56 bit key size used domestic only
RC4_40 | 40 bit key size, used domestic and international
DES40 | 40 bit key size used domestic and international
RC4_56 | 56 bit key size used domestic only
RC4_128 | 128 bit key size used domestic only


Advanced Securit Option: Integrity

 Advanced Security Option: Integrity

The Integrity tab allows you to configure checksumming for the authentication methods. Checksumming is the comparison of data sent over the connection as seen by both client and server.

Note: Use the SSL tab to configure Cipher Suites for the Secure Sockets Layer (SSL).

Server/Client

Click either the Server or Client option for the machine you are currently configuring. The Server option is used if the machine being configured is acting as a server. It does not apply to the servers that this machine is connecting to.

Checksum Level

From the drop-down list, select the checksum level:

Accepted | Service will be active if the other side of the connection specifies either "required" or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.
Rejected: | Service must not be active, and the connection will fail if the other side specifies "required".
Requested: | Service will be active if the other side of the connection specifies either "accepted", "required", or "requested", and there is a compatible algorithm available on the other side; it will otherwise be inactive.
Required: | Service must be active, and the connection will fail if the other side specifies "rejected", or if there is no compatible algorithm on the other side.


 Advanced Security Option: Other Params

Once the order of the authentication methods are chosen, use this tab to configure parameters for the chosen authentication methods.

From the drop-down list, select the authentication method. Depending on the protocol chosen, enter information in the fields as appropriate.

Kerberos(V5):

Service: | Enter any string in the Service field to specify the Kerberos service name.
Credential Cache File: | Enter any valid path name in the Credential Cache File field to specify the Kerberos credential cache path name.
Configuration File: | Enter any valid path name in the Configuration File field to specify the Kerberos configuration file.
Realm Translation File: | Enter any valid path name in the Realm Translation File field to specify the Kerberos host name to realm translation file.
Key Table: | Enter any valid path name in the Key Table field to specify the Kerberos secret key file.
Clock Skew: | Enter any positive integer in the Clock Skew field to specify the acceptable difference in the number of seconds between when a credential is sent and received.

RADIUS:

Host Name: | Enter the name of the primary RADIUS server.
Port Number: | Enter the port number of the primary RADIUS server.
Timeout (seconds): | Enter the number of seconds the Oracle server should wait for response from the primary RADIUS server.
Number of Retries: | Enter the number of times the Oracle server should resend messages to the primary RADIUS server.
Secret File: | Enter the path name of the secret key file.
Send Accounting: | Enter ON to enable accounting or OFF to disable it.
Challenge Response: | Enter ON to enable challenge-response or OFF to disable it.
Default Keyword: | Enter the keyword for requesting a challenge from the RADIUS server.
Interface Class Name: | Enter the name of the class you have created to handle the challenge-response conversation between the Oracle client and the RADIUS server.
CYBERSAFE: Specify a CYBERSAFE service principal. Enter any correctly formatted service principal string in the GSSAPI Service field.

IDENTIX: Specify an IDENTIX authentication server TNS Alias. Enter any string in the Fingerprint Server Name field.

SECURID: No additional parameters are required.

NTS: No additional parameters are required.

See Also:

Oracle Advanced Security Administrator's Guide


 Advanced Security Option: SSL

The SSL tab allows you to modify Secure Sockets Layer (SSL) settings. SSL stores authentication data, such as certificates and private keys, in an Oracle Wallet. When the client initiates a Net8 connection to the server, SSL performs a handshake between the two using the private key and certificate. The server may then send its own certificate to the client in a message encrypted with the client’s public key. The client decrypts this message by using its own private key, then verifies that the server’s certificate bears the certificate authority’s signature

Configure SSL for Client:

Select to modify settings for the client.

Configure SSL for Server

Select to modify settings for the server.

Wallet Directory:

Enter the location of wallets. Wallets are certificates, keys and trustpoints processed by SSL.

Require SSL Version:

From the drop-down list, select the version of SSL. Client and server must use a compatible version.

Cipher Suite Configuration:

Add or remove Cipher Suites, sets of authentication, encryption and data integrity types.

Add Suite button: | Click to invoke the Select a Cipher Suite to enable dialog box. In the Select a Cipher Suite to enable dialog box, select a suite and click OK. The Cipher Suite is added to the list box.
Remove Suite button: | Click to remove a selected Cipher Suite.
Promote button: | Click to move a selected Cipher Suite to the top of the list.
Demote button: | Click to move a selected Cipher Suite to the bottom of the list.

Require Client Authentication: Server only:

In addition to server-side authentication, click this to enable client-side authentication.


 Advanced Service Options dialog box

Use the Advanced Service Options dialog box to configure advanced service name connection options.

Additional Service Settings

Instance Name: | Enter a database instance to access. The instance name can be obtained from the INSTANCE_NAME parameter in the INIT.ORA file, which is usually set the SID of the database instance. Note: Not enabled if Use Oracle8i Release 8.0 Compatible Identification option is turned on.
Handler Name: | Enter a service handler, such as an MTS dispatcher, to access. Note: Not enabled for release 8.1.5.
Oracle Home: | Enter the Oracle home of the Oracle database where tool will start the database. This parameter is used to start the database across the network. It forks a dedicated server. Note: Windows NT already know the Oracle home. Therefore, this option is not needed for connection to a service on Windows NT.

Global Database Name:

Enter an identifier for the Oracle Rdb database.

Session Data Unit (SDU):

Enter the session data unit (SDU) size to change the performance characteristics having to do with the packets sent across the network.

Use a Dedicated Server:

Select this option if you wish for the client connection to bypass multi-threaded server and to use dedicated server.

Use for Heterogeneous Services:

Select this option for an Oracle8 server to access a non-Oracle system.

Note: Not enabled if Use Oracle8i Release 8.0 Compatible Identification option is turned on.

Oracle Rdb Settings

Oracle Rdb Settings: | Specify the file name of an Oracle RDB database.
Type of Service: | Specify the type of service to use for an Oracle RDB database.


 Choose Listener Name dialog box

Enter any name of the listener in the Listener Name field. LISTENER is the default listener name for the first listener. Subsequent listeners are defaulted to LISTENER1, LISTENER2, and so on.


 Configure Prespawned Servers dialog box

For each protocol that is configured:

Number:

Enter the number of unused prespawned dedicated server for the listener to maintain on the selected protocol. The value should be about what you expect the average number of connections to be at any given time.

Timeout:

Enter the time in minutes that an inactive prespawned dedicated server process waits for the next connection. The value should be greater than 0. (A value of 0 will allow an inactive shadow process to continue indefinitely, thus wasting machine resources.) Set a short time out value.

Maximum Prespawned Servers:

Enter the maximum number of prespawned dedicated servers the listener will create. This number must be at least as many as the sum of the pool size for each protocol. Set this value to a large number so that prespawned dedicated servers are always available for new connections.


 Configure Server: Address

Like a listener, an Oracle Names server is configured to listen for incoming connection requests for a database or other service on a specific network address. Use the Address tab to configure or modify one or more listening location addresses on which an Oracle Names server will wait for client connections.

Note: If you used the is Names Wizard to create an Oracle Names server, an address should already be configured.

Protocol:

From the drop-down list, select the protocol for the address. Enter information in the fields as appropriate.

Protocol | Parameter | Description
IPC | KEY | Identifies the Oracle Names server.
Named Pipes | SERVER | Identifies the name of the Oracle Names server.
 | PIPE | Identifies the pipe name to use to connect to the Oracle Names server (the same PIPE keyword you specified on the server with Named Pipes). This name can be any name.
SPX | SERVICE | Defines the name of the TNS-based application on the network.
TCP/IP or TCP/IP with SSL Note: Choosing the TCP/IP with SSL protocol configures a default implementation of SSL for this machine. | HOST | Identifies the Oracle Names server host name.
 | PORT | Identifies the Oracle Names server listening port number. 1575 is the recommended and officially registered port.
Add button:

When a protocol address is entered, click this button to add the address to the list box.

Remove button:

When a protocol address is selected from the list box, click this button to remove the address.

Change button:

When a protocol address is selected from the list box and modifications have been made in the address fields, click this button to change the address.


 Configure Server: Advanced

The Advanced tab allows you to configure advanced tuning options for an Oracle Names server.

Cache Checkpoint File:

Enter any valid file name to specify the name of the operating system file to which the Oracle Names server writes its foreign data cache. This is the data that it receives from other servers and then can use to answer other client requests for a short time (length of time determined by the Oracle Names server from which foreign data was received). The file name is set by default to CKPCCH.ORA.

Config Checkpoint File:

Enter any valid filename to specify the name of the file used to checkpoint configuration settings. This file will store all the configuration settings of the Oracle Names server in case the Oracle Names server goes down unexpectedly. The file name is set by default to CKPCFG.ORA.

Region Checkpoint File:

Enter any valid file name to specify the name of the file used to checkpoint region data. This is either a copy of all the information in the region database or the store of all the Oracle Names Server’s information on its region if it is not using a region database. The filename will default to CKPREG.ORA.

Log Directory:

Enter any valid directory name to indicate the name of the directory where the log file for Oracle Names server operational events are written. The directory name will default to an operating-system specific directory name.

Trace Directory:

Enter any valid directory name to indicate where trace files from a Oracle Names server trace session will be written. The directory name will default to an operating-system specific directory name.

Trace File:

Enter any valid file name to indicate the name of the output file from an Oracle Names server trace session. The trace file name will default to NAMES.TRC.

Make Trace File Unique:

Click this option to specify a unique name for each trace file. This allows multiple trace files to coexist. Each new trace file created will be appended with a unique string to identify it. For example, a trace file named NAMES.TRC, will be appended to NAMES_01.TRC to identify it.

Miscellaneous button:

Click this button to configure the following:

Max Open Connections: | Enter the number of connections an Oracle Names server can have open to other Oracle Names servers at any point in time. The connections that remain open at the same time will save time and cost network resources. A lower value will save network resources and cost time. The default value is calculated based on previously entered data. If you wish to change the value, enter a number between 2 and 64.
Message Pool Start Size: | Enter how many connections you want ready for use in the Oracle Names server. Each connection process takes memory, but to create connection processes as you need them takes time. The higher the number, the more resources the Oracle Names server will use, but the faster it will run. Enter a number between 3-256 to specify the initial number of messages allocated in the server's message pool. The default value is set to 10.
Max Open Connections: | Enter the number of connections an Oracle Names server can have open to other Oracle Names server at any point in time. By letting more connections remain open at the same time, will save time and cost network resources; a lower value here will save network resources, cost time. The default value is calculated based on previously entered data. If you wish to change the value, enter a number between 2 and 64.
Auto Refresh Expiration Period: | Enter the expiration period that will tell the Oracle Names server how long to keep trying the remote Oracle Names server before stopping and using that hint. An Oracle Names server, on startup, contacts all the Oracle Names server on its domain hint list. Shortly before their information expires (based on the TTL values passed to the local server), the local Names Server tries to reconnect to refresh their information so it can continue to forward requests to the Oracle Names servers on its hint list. This value is between 60 and 1209600 seconds, and should be longer than the value for Auto Refresh Retry. Default is 600 seconds.
Auto Refresh Retry Interval: | Enter the retry interval period in which the Oracle Names server wait between attempts to contact the Oracle Names servers on its hint list. The Oracle Names servers, on startup, contacts all the Oracle Names servers on its domain hint list. Shortly before their information expires (based on the TTL values passed to the local server), the local Oracle Names server tries to reconnect to refresh their information so it can continue to forward requests to the Oracle Names servers on its hint list. This value is between 60 and 3600 seconds, and should be shorter than the value for Auto Refresh Expiration. Default is 180 seconds.


 Configure Server: Database

The Database tab allows you to configure or modify region database information. A region database consists of tables in an Oracle database that stores Oracle Names information. A region database does not necessarily have its own database engine, nor is the data stored somewhere separate from any other data. A region database is merely a collection of tables with Oracle Names information that can exist within a larger database. It can be managed by a database instance that is also managing other data.

Storing your Oracle Names information in a database is recommended to ensure the reliability of information replicated between Names Servers.

Note: If you used the is Names Wizard and choose Use a region database when creating an Oracle Names server, the database information is already entered.

No Region Database:

Select this option if you want service registration data replicated continuously among Oracle Names servers.

Region Database:

Select this option if you want service registration data stored in an Oracle database. Enter the information below as appropriate:

Protocol:

From the drop-down list, select the protocol for the listener address. Depending on the protocol chosen, enter information in the fields as appropriate. The region database is not an Oracle Names server. It is a regular database with a listener, and, therefore, does not usually use the special Oracle Names server port 1575.

SID:.

Enter the system ID (SID) of the database

Service Type:

Specify whether the session will use a dedicated server or multi-threaded server. Since there are users other than Oracle Names server trying to connect to the region database (this database probably is used for more than just Oracle Names server), you may want to choose shared processes if the region database is using a multi-threaded server. This will decrease overall network traffic.

User:

Enter a database user name of the database. This is the user name that the Oracle Names server uses when talking to the region database.
Password:

Enter the password for the user name.

Optional button:

Click this button to configure the following:
  • Refresh from Database: Enter a time value to specify when to refresh new information from the region database specified.
  • Retry Interval: Enter a time value to specify an amount of time to wait for a response.
  • Retry Expiration: Enter a time value to specify an amount of time to wait before terminating the retry attempt.


 Configure Server: Domains

Use the Domains tab to configure or modify domain information for the Oracle Names server’s local administrative region, a collection of Oracle Names servers in one or more domains. Use this tab only if this Oracle Names server is not in the root region.

Domains are logical groups of machines and network services. Within each domain all names must be unique, but across domains simple unqualified names can be repeated. The Oracle Names server will be authoritative on service locations in this domain. That is, it will be the definitive source of information on services in this domain.

See the Net8 Administrator’s Guide for further information about domains.

Domain Name:

Enter any valid domain name in the Domain Name field provided in the Domains text box. Examples of domains are acme.com or us.oracle.com.

Minimum TTL:

Enter a time value in the Minimum TTL (time-to-live) fields. Minimum TTL is how long information the information that an Oracle Names server forwards to Oracle Names server about your domain remains valid. After this period expires, foreign Oracle Names servers have to request the data again from your Oracle Names server if they receive another request for it. The default for this is 1 day (86400 seconds), but if you are anticipating that your domain will have frequent changes in services, you may want to lower this value. If your services in your domain will remain virtually constant, you may want to increase this value to decrease network traffic to your Oracle Names server.

Add button:

When a domain is entered, click this button to add the address to the list box.

Remove button:

When a domain is selected from the list box, click this button to remove it.

Change button:

When a domain is selected from the list box and modifications have been made in the fields, click this button to change the domain information.


 Configure Server: General

The General tab allows you to configure or modify general features for an Oracle Names server.

Name:

Enter any valid string to specify the name of an Oracle Names server. All configuration references to a particular Oracle Names Server will use this name.

Note: If you used the is Names Wizard to create an Oracle Names server, the name is entered.

Password:

Enter any valid string to specify a password that the Oracle Names server may require the user to provide in order to perform certain Oracle Names Control Utility (NAMESCTL) operations including STOP, RESTART and RELOAD. This is optional, as specifying a password does not grant any new functionality that is not available to all users if there is no password. There can be only one password per Oracle Names server.

Change Password button:

Click this button to change the password.


 Configuring Listener Logging and Tracing

Logging refers to the process by which a listener will note and append error-specific information to a log file. Log information is typically stored in LISTENER.LOG in $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\log on Windows platforms.

Tracing is an additional feature that allows you to obtain more information about the internal operations of a listener than is provided in a log file. Trace information is typically stored in LISTENER.TRC server in $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\ltrace on Windows platforms

To enable logging or tracing:

  1. Double-click on the Listeners folder.

  2. Click on a listener.

  3. Choose General Parameters from the drop-down list box.

  4. Click the Logging & Tracing tab.

  5. Specify the settings.

  6. Choose Save Network Configuration from the File menu to save changes to LISTENER.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Database Services

Database Services tab allows you to register Oracle8i release 8.0 or Oracle7 databases with the listener.

An Oracle8i release 8.1 database dynamically instance registers itself with the listener. When configuring a listener for use with an Oracle8i release 8.1, it is not necessary to configure the listener with information about the database. Release prior to this release still require static configuration in the LISTENER.ORA.

Add Database button:

Click this button to specify a database service for the listener. A new Database tab displays where you can select the protocol and enter protocol information in the fields.

Remove Database button:

Click this button to delete the database in the current Database tab displayed.

Database tab:

Use this tab to configure a listener to handle requests for Oracle8i release 8.0 or Oracle7 database services, you will need to provide information that the listener needs to identify and then start those services. Static configuration is also required for other services, such as external procedures and heterogeneous services, and some management tools. You do this by specifying the following:

Global Database Name: | Enter the database name and domain name of the database as provided in the INIT.ORA file. If you want to refer to the database by its global database name on the network, then you must specify that global database name to the listener.
Oracle Home Directory: | Specify the Oracle home location of the database. Note: Windows NT already know the Oracle home. Therefore, this option is not needed for connection to a service on Windows NT.
SID: | Specify the system identifier.
Do Not Use Prespawned Dedicated Servers: | Select this option if you do not want to use prespawned dedicated servers.
Use Prespawned Dedicated Servers: | Select this option if you want to use prespawned dedicated servers to improve the time it takes to establish a connection to a server where the multi-threaded server is not in use or is not supported on a given machine. Prespawned dedicated servers also allow for better use of allocated memory and system resources by recycling server processes. They do this by creating ready to use database service processes to handle requests on various protocols. This way, users do not need to wait for a new process to initialize when making a connection. Note: Prespawned dedicated servers are not available on Windows NT.
Configure Prespawned Servers button: | Click this button to view or alter the default characteristics of prespawned servers. Note: Prespawned dedicated servers are not available on Windows NT.


 Discovering Oracle Names Servers

Discovering Oracle Names servers causes the Net8 Assistant to search the network and look for all the Oracle Names server in this region. It then creates a list of these Oracle Names server in order of how quickly they responded to the search. From that point on, when a network connection request is issued by the user, names servers are contacted to provide the information to resolve the connection in the order they appear on the list. This is an alternative to using Preferred Names Servers. Preferred Names Servers lists are created by you, while using the discovery option creates a list generated by Net8.

To discover Oracle Names servers:

Choose Discover Oracle Names Servers from the Tools menu.

This produces an SDNS.ORA file in $ORACLE_HOME/network/names on UNIX and ORACLE_ HOME\network\names on Windows platforms. This file contains the names of the Oracle Names server(s). This file is read to find the addresses of Oracle Names servers.

If a Names Server responds, the Net8 Assistant will display icons of all available Names Servers in the tree directory under the Oracle Names Server folder.

If an Oracle Names Server does not respond, and if you know the network address of a particular Oracle Names Server, a dialog box will prompt you for that address. The address must be entered using the following syntax (variable within angled brackets <> and in italic):

(ADDRESS=(PROTOCOL=Protocol Name)(HOST=Hostname)(PORT=PortNumber))


 General: Advanced

The Advanced tab allows you to configure advanced profile information.

TNS Time Out Value:

Enter a time-out value. Net8 will send a probe periodically to verify that a client-server connection is still active. This is done to ensure that connections are not left open indefinitely due to abnormal client terminations. If the probe finds a dead connection, or a connection that is no longer in use, it returns an error, causing the connection to terminate and server process to exit (if using a dedicated server process).

Note: Only available on the server.

Client Registration ID:

Enter a unique identifier for this client. The listener will include this identifier in the log file. It will not make network transactions more secure, but will show up in both client and server log files. The identifier can be any string up to 128 characters long.

Turn off UNIX Signal Handling:

Click to configure the client to pass child process cleanup to the UNIX init process by disabling signal handlers.

Since the client application spawns a server process internally through the Bequeath protocol as a child process, the client application becomes responsible for cleaning up the child process when it completes. When the server process completes its connection responsibilities, it becomes a defunct process. Signal handlers are responsible for cleaning up these defunct processes.

Disable Out of Band Break:

Click to disable out of band breaks if the underlying transport that a client is using does not support it. Out of bound breaks allow the user to cancel an operation in progress. Disabling them means that all requests submitted must be completed.


 General: Logging

The Logging tab allows you to enable Net8 logging on either the client or server. The Net8 Assistant allows you to specify the name and location to which Net8 log files will be written.

Log Directory:

Enter the directory to which log files will be written. Both client and server log files will be written on the client machine. The default is $ORACLE_ HOME/network/log on UNIX and ORACLE_HOME\network\log on Windows platforms.

Log File:

Enter the name of the log file on the client. The default name is SQLNET.LOG.


 General Parameters: Authentication

The Authentication tab allows you to configure authentication requirements before performing administrator tasks.

Do Not Require a Password for Listener Operations:

Select this option if you do not require authentication to perform administrator tasks.

Require a Password for Listener Operations:

Select this option if you require authentication to perform certain administrator tasks. You may then enter the required password. The default password is “oracle”. This password will be required when performing administrative task with the Listener Control Utility (LSNRCTL).

Note: Net8 only allows configuration of one password per listener.


 General Parameters: General

The General tab allows you to configure general parameters for the listener.

Listener Name:

Displays the name of the listener.

Startup Wait Time:

Specify the number of seconds that the listener will sleep before responding to a STATUS command issued by the Listener Control Utility (LSNRCTL). By default, the listener will not wait. Set this field only:

  1. The service is running on the same machine as the listener.

  2. On startup, the listener directs requests to a service which is not available because it takes longer to start than the listener process.

Connect Time Out:

Enter the time the listener will wait for a valid database query once a session has started. If you wish to enter a timeout, enter a time value in seconds in the Connect Timeout field. By default, the listener will wait 10 seconds before timing out.

Options

Save Configuration on Shutdown: | Select this option to make permanent any changes made by the Listener Control Utility (LSNRCTL) SET command.
Register Services with Oracle Names: | Select this option to button to instruct the listener to register its services with a well-known Oracle Names server . When the listener starts, it looks for hosts that use the well-known host names, tries to gather connection information from the Oracle Names server, and registers its database information with it. This option is only valid if you are using the Oracle Names version 2 Dynamic Discovery Option. This information is dynamically registered if you are using Oracle Names version 8.

SNMP Contact Information:

Enter any text in the SNMP Contact Information field to specify that information be written to the SNMP.ORA file. This information will be sent with any SNMP connection, and can be any string. It does not affect the process of creating an SNMP connection. This information generally consists of contact information for the client’s user or administrator.


General Parameters: Logging & Tracing

 General Parameters: Logging and Tracing

The Logging & Tracing tab allows you to enable Net8 logging and tracing for the listener. The Net8 Assistant allows you to specify the name and location to which Net8 log files will be written.

Logging Disabled:

Select this option to disable the logging feature on the listener.

Logging Enabled:

Select this option to enable the logging feature on the listener. Once enabled, you may specify where log information will be written.

Log File:

Specify either the directory path name or file name to which log information from the listener will be written, enter any valid path and file name in the Log File field provided. Note that the file name extension for this file is always .LOG. The default name is LISTENER.LOG.

Tracing Disabled:

Select this option to disable the tracing feature on the listener.

Tracing Enabled:

Select this option to enable the tracing feature on the listener. Once enabled, you may specify the level of tracing desired and where trace information will be written by changing the default trace file.

Tracing Level:

From the drop-down list, select the level of tracing:

OFF—Tracing is not enabled. OFF is the default setting.

USER—Tracing is set to a level appropriate for users. Traces to identify user-induced error conditions.

ADMIN—Tracing is set to a level appropriate to database administrators. Traces to identify installation-specific problems.

SUPPORT—Tracing is set to a level appropriate for customer support.

Trace files can get very large. Oracle Corporation recommends that you keep tracing off when not troubleshooting network problems.

Trace File:

Specify either the directory path name or file name to which trace information from the listener will be written. Note that the file name extension for this file is always .TRC. The default name is LISTENER.TRC. The default directory is $ORACLE_ HOME/network/trace on UNIX and ORACLE_HOME\network\trace on Windows platforms.


 General: Routing

The Routing tab allows you to configure client connection requests to be directed to a specific process at all times.

Always Use Dedicated Server

Forces the listener to spawn a dedicated server for all network sessions from this client. Server in this sense does not refer to a machine, but to the process on the database side that handles client requests. Server processes can either be shared with other client requests or dedicated. Dedicated server processes are committed to one session only and exist for the duration of that session.

Note: If enabled, this option will override the Use Dedicated Servers option in Advanced Options dialog box, which is selected with the Advanced button in the Net Service Name panel. Using this option will make your connection faster, but will make the server slower. It is recommended that unless you are making massive database transactions with very little idle time, do not use this option.

Prefer Connection Manager Routing

Instructs the client to try to use an Oracle Connection Manager whenever possible. Oracle Connection Manager is an application that provides support for concentration, multiple protocol support, and Net8 access control functionality.

Addresses that resolve to a Oracle Connection Manager are specially marked in the network configuration for the client. If this option is chosen, these addresses will be used and preferred over other addresses for a net service name.


 General: Tracing

The Tracing tab allows you to enable Net8 tracing on either the client or server, as well as to specify the name and location to which the trace files will be written. Client tracing keeps track of the operations the client performs. Server tracing keeps track of the operations the server performs during a network connection.

Trace Level

From the drop-down list, select the level of tracing:

OFF—Tracing is not enabled. OFF is the default setting.

USER—Tracing is set to a level appropriate for users. Traces to identify user-induced error conditions.

ADMIN—Tracing is set to a level appropriate to database administrators. Traces to identify installation-specific problems.

SUPPORT—Tracing is set to a level appropriate for customer support.

Trace files can get very large. Oracle Corporation recommends that you keep tracing off when not troubleshooting network problems.

Trace Directory:

Enter the directory to which trace files will be written. While client and server trace files carry information about either the client or the server, both will be written on the local machine. The default is in $ORACLE_ HOME/network/trace on UNIX and ORACLE_HOME\network\trace on Windows platforms.

Trace File:

Enter the trace file name. The default name is SQLNET.TRC for the client and SVR_PID.TRC for the server.

Unique Trace File Name:

Click for a client trace file to have a unique name, allowing multiple trace files to coexist. Net8 sets unique trace file name to OFF by default, meaning that future attempts to trace network operations will overwrite previous traces.


 Listening Locations

Listeners are configured to listen for incoming connection requests for a database or other service on a specific network address. Use Listening Locations to configure one or more listening location addresses on which a listener will wait for client connections.

The listener address you configured for either TNSNAMES.ORA or Oracle Names must also be configured in LISTENER.ORA. LISTENER.ORA is located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms.

Network Address:

From the drop-down list, select the protocol for the address. Depending on the protocol chosen, enter information in the fields as appropriate.

Protocol Stack Support

From the drop-down list, specify the type of clients that will use the listener address. The type of client you select determines the presentations and session layers used in the connection.

The presentation layer manages the representation of information that application layer entities either communicate or reference in their communication.

The session layer provides the services needed by the presentation layer entities that enable them to organize and synchronize their dialogue and manage their data exchange.

From the drop-down list, select the client type:

Net8 Client: | Select for a connection that uses Two-Task Common (TTC) for the presentation layer and Network Session (NS) for the session layer. This is appropriate for most configurations.
IIOP Client: | Select for a connection that uses Internet Inter-Orb Protocol (IIOP) of the presentation layer and no session layer. IIOP is an implementation of General Inter-Orb Protocol (GIOP) over TCP/IP or TCP/IP with SSL. This option is appropriate when clients are using the listener to access the database Java option. For TCP/ IP, Oracle Corporation recommends using port 2481. For TCP/IP with SSL, Oracle Corporation recommends using port 2482. See the Net8 Administrator’s Guide for more information on configuring the Java option. Note: Choosing TCP/IP with SSL protocol configures a default implementation of SSL for this machine.
Custom: | Select to configure any combination of supported presentation (TTC and GIOP) and session layers (NS and RAW). This is only suggested for customers performing advanced development. Use the Edit button to view the presentation and session layer configuration.

Add Address

Click this button to create a new protocol address. A new Address tab displays where you can select the protocol and enter protocol information in the fields.

Remove Address

Click this button to delete the address in the current Address tab displayed.


 Manage Data: Advanced

The Advanced tab allows you to query, add or remove specific types of Names Server records. There are specific types of Oracle Names server, including:

  • A.SMD – This is for network addresses of services (Net Service Names), such as database services or Oracle gateways to heterogeneous services.

  • CNAME.SMD – This is the type for alias records, which resolve to a canonical name which can then be resolved to an address.

  • DL.RDBMS.OMD – This is the Oracle Names server type for database link records.

  • NS.SMD – This is the Oracle Names server type for addresses of other Oracle Names servers and is used for communication between Oracle Names servers.

  • V1ADD.NPO.OMD – This is the datatype for connections using SQL*NET v1, a networking product used by older versions of Oracle (usually 6.x and earlier)

Action

Query: | Click to query an existing record specified in the Name and Type fields.
Add: | Click to add a record specified in the Name, Type and Value fields.
Remove: | Click to remove the record specified in the Name, Type and Value fields.
Execute button: | Click to perform the record query, add or remove operation.

Data

Name: | Enter the specific record to query, add or remove.
Type: | Enter the specific record type to query, add or remove.
Value: | Enter the value of the record to add or remove


 Manage Data: Aliases

The Aliases tab allows you to query, add or remove aliases in an Oracle Names server. An alias is an alternate name for a net service name, database service or database link.

Action

Query: | Click to query an existing alias in an Oracle Names server. Specify the alias in the Alias Name field.
Add: | Click to add a new alias specified in the Alias Name field . The valid original host name should be specified in the Canonical Name field.
Remove: | Click to remove the alias specified in the Alias Name field.
Execute button: | Click to perform the alias query, add or remove operation.

Aliases

Alias Name: | Enter the alias name to query, add or remove.
Canonical Name: | Enter the original host name.


 Manage Data: DB Links

Use the DB Links tab to query or update database links with all database qualifiers.

Action

Query: | Click to query an existing database link in an Oracle Names server. Specify the database link name in the DB Link Name field.
Add: | Click to add a new database link. Specify the database link name in the DB Link Name field, and a valid user name and password for the database.
Remove: | Click to remove the database link specified in the DB Link Name field.
Execute button: | Click to perform the DB Link query, add or remove operation.

DB Link

DB Link Name: | Enter the database link to query, add or remove.
User:. | Enter the database user name when adding a database link
Password: | Enter the password for the database user name when adding a database link.
DB Qualifiers button: | Click to display, create or remove qualifiers for database links.


 Manage Data: Net Service Names

The Net Service Names tab allows you to query, add, remove or load net service names into an Oracle Names server. You can add or remove one net service name reference at a time. Net service names represent services stored in the Oracle Names server.

Action

Query: | Click to query an existing net service name specified in the Service Name field.
Add: | Click to add a new net service name for a service in an Oracle Names server. Specify the net service name in the Service Name field, enter the location of the listener in the address fields that display, enter the system ID of the database in the SID field, and select the type of session from the Session drop-down list.
Remove: | Click to remove a selected net service name and its address from the Addresses list box.
Load: | Click to load an existing TNSNAMES.ORA already configured with net service names into an Oracle Names server. When a TNSNAMES.ORA file is chosen, its net service names will display in the Addresses list box.
Execute button: | Click to perform the net service name query, add, remove, or load operation.

Service Name:

Enter the net service name you are planning to query, add or remove.

Address

Protocol: | From the drop-down list, select the protocol for the listener address. Depending on the protocol chosen, enter information in the fields as appropriate.
SID: | Enter the system ID (SID) of the database.
Service Type: | From the drop-down list, specify whether the session will use a dedicated server or multi-threaded server.

Load Service Names from TNSNAMES.ORA File

Enter the location of the TNSNAMES.ORA file.


 Manage Data: Topology

The Topology tab allows you to delegate domains and provide domain hints.

When an Oracle Names server delegates domains within its region, it creates a hierarchy of Oracle Names servers to serve an administrative region more efficiently. The Oracle Names server effectively creates a new domain when it does this.

For example, the Oracle Names server for the domain acme.com is having performance problems because the domain acme.com has too many clients and too many services for one Oracle Names server to handle. In this situation, the administrators of the acme.com decide to create a new domain name, us.acme.com. They create a new Oracle Names server for this domain, and then they instruct the first Oracle Names server to delegate the domain us.acme.com to the new Oracle Names server, thus lowering the traffic for the first Oracle Names servers.

Domain hints are useful when an Oracle Names server is getting a lot of requests for services in a particular foreign region. Usually, when a Oracle Names server gets a request for a service name in a foreign region, it forwards it on to whatever foreign Oracle Names servers it knows, who then reforward the request to the root Oracle Names servers in its region. This server will contact other region root Oracle Names servers, and the request will then be reforwarded to Oracle Names servers which has information on the domain that the request refers to. However, if there are a lot of requests for data in a certain foreign area, a hint can be provided to your Oracle Names server that information on this area can be found in its Oracle Names server, which can be reached at a specified address. This way, network traffic is reduced, no requests fail, and clients make their connections more rapidly.

Action

Delegate Domain: | Click to delegate a domain. Specify the domain in the Domain Name field, the Oracle Names server name and address in the Names Server Name and Names Server Address fields.
Domain Hint: | Click to provide a domain hint for the Oracle Names server. Specify the domain in the Domain Name field, the Oracle Names server name and address in the Names Server Name and Names Server Address fields.
Execute button: | Click to perform the DB Link query, add or remove operation

Topology

Domain Name: | Enter the domain name to delegate a domain or provide a domain hint.
Name Server Name: | Enter the Oracle Names server name.
Name Server Address: | Enter the Oracle Names server address.


 Manage Server: Advanced

The Advanced tab allows you to configure advanced turning options for an Oracle Names server.

Authority Required:

Oracle Names servers not only respond to requests for information on their own domains, but they also respond to requests for information they have obtained through transactions with other names serves. In cases where they have recently gotten a record from another Oracle Names server in a remote region, they will respond to client requests for that information directly, without forwarding the request to the Oracle Names server in that region. However, when this is checked, the local Oracle Names server will get all its information on foreign regions from the Oracle Names server of that region, not second hand from a Oracle Names server that does not administer the target region.

Default Forwarders Only:

Click to have the Oracle Names server keep a list of default forwarders. These are other Oracle Names servers that this server uses to forward queries involving foreign regions. By clicking this checkbox, you are instructing this Oracle Names server to only forward to that list of servers.

Forwarding Desired:

If this box is not checked, instead of asking for its requests to be reforwarded, the Oracle Names server will ask to be redirected to the information requested. This has the effect of redistributing network load and taking load off the backbone Oracle Names servers. For example, in a domain like acme.com, Oracle Names servers in x.acme.com will forward requests for information on the domain y.acme.com to the Oracle Names servers in the backbone region acme.com, who then have to start a connection process to forward the request down to the Oracle Names servers in y.acme.com. If this box is false on the server in x.acme.com, the Oracle Names server in acme.com can merely redirect the request, and will not have to start a connection process, hence redistributing load from the acme.com servers to the servers in the subdomain.

Forwarding Available:

Click to specify that the active Oracle Names server forward operations to foreign. If this option is not clicked, the Oracle Names server will not forward client requests to other Oracle Names servers, which will leave clients without access to the network outside the local domain.

Modify Requests:

Click to specify that the active Names server refuse any operations which modify data in its region. This means that users cannot add new data to the Oracle Names server.

Maximum Reforwards:

Specify the maximum number of times (between 1 and 15) the local Oracle Names server will attempt to forward an operation before allowing it to fail.

Apply button:

Click to execute any command selected.

Revert button:

Click to restore the tab panel to its original settings.


 Manage Server: Cache

This Cache tab allows you to configure caching for Oracle Names server.

Cache Operations

Flush Foreign Region Data: | Click to force the Oracle Names server to clear all foreign region data, such as net service names, it has obtained through interactions with other Oracle Names servers from the Oracle Names server cache.
Reload from Region Database: | Click to force the Oracle Names server to check for any data changes in its administrative region immediately. If there have been any changes, the Oracle Names server will reload all database net service names, global database links, and aliases. To reload information from a region database to all Oracle Names servers, select Reload All Names Servers from the Tools menu.
Checkpoint Cache: | Click to force the Oracle Names server to write its cache to its checkpoint file. This creates a backup name for the Oracle Names server cache which can be used in case the Oracle Names server goes down. This operation cannot be performed immediately. A wait time must be specified in the Wait field.
Dump Cache to Trace File: | Click to dump the Oracle Names server cache to its trace file. This operation cannot be performed immediately. A wait time must be specified in the Wait field.

Perform Operations

To specify a time interval during which Net8 Assistant will wait before performing an operation, enter a time interval in seconds in the Wait field provided. To perform operation immediately, click Immediately in the Perform Operation field. To cancel an already scheduled operation, enter a time value of zero in the Wait field provided. Click Apply at the bottom of the tab panel to execute the command selected.

Immediately: | Click to perform an operation immediately.
Wait: | Click to wait to perform and operation, and enter a time interval in seconds. To cancel an already scheduled operation, enter a time value of zero in the Wait field provided.


 Manage Server: Control

The Control tab allows you to control various aspects of an Oracle Names server.

Operation

Server Operations

Start: | Click to start an Oracle Names server. This will load the Oracle Names server program and start loading system and local administrative region data. This command will not work if the Oracle Names server is currently running.
Shutdown: | Click to shut down an Oracle Names server. This command will not work if the Oracle Names server is not currently running.
Restart: | Click to initiate a reset of the active Oracle Names server to its original startup.

Statistics Operations

Write Statistics to Log: | Click to write statistics to a log file.
Reset Statistics:. | Click to reset the time interval during which an Oracle Names server will accumulate statistics

Perform Operations

Immediately: | Click to perform an operation immediately.
Wait: | Click to wait to perform and operation, and enter a time interval in seconds. To cancel an already scheduled operation, enter a time value of zero in the Wait field provided.

Apply button:

Click to execute any command selected.

Check Status button:

Click to check the status of the executed operation.


 Manage Server: Logging

The Logging tab allows you to change Net8 logging and tracing for an Oracle Names server during runtime. These values will remain valid only for the current session.

Log Directory:

Enter the directory to which log files will be written. Both client and server log files will be written on the client machine.

Log File:

Enter the name of the log file on the client. The log file is defaulted to NAMES.LOG.

Trace Level:

From the drop-down list, select the level of tracing:

OFF—Tracing is not set.

USER—Tracing is set to a level appropriate for users. Traces to identify user-induced error conditions.

ADMIN—Tracing is set to a level appropriate to database administrators. Traces to identify installation-specific problems.

DEV—Tracing is set to a level appropriate for developers.

Trace Directory:

Enter the directory to which trace files will be written.

Trace File:

Enter the trace file name. The default name is NAMES.TRC.

Apply button:

Click to set the logging and tracing settings.

Revert button:

Click to restore the tab panel to its original settings.


 Manage Server: Monitor

The Monitor tab allows you to display information about an Oracle Names server.

Server:

Select this option to display information about the name and version of the Oracle Names server, as well as the amount of time that it has been running.

Statistics:

Select this option to display the current number of requests received and forwarded to the active Oracle Names server. The number of foreign data items cached and Region data reload check failures are also displayed.

Schedule of Operations for

Server: | Click to display how long before the server is scheduled to next shutdown and restart.
Statistics: | Click to display how long it will take Statistic counters to become logged and reset.
Cache: | Click to display how long it will take until the next cache flush, reload, checkpoint, and dump.


 Manage Server: Tuning

The Tuning tab allows you to set tuning options for an Oracle Names server.

Cache Checkpoint Interval:

Enter a time value to specify the time interval at which an Oracle Names server will write a copy of the data it has obtained from foreign regions to a checkpoint file. In the case of a failure of the Oracle Names server, information that had been cached from other Oracle Names servers and their TTL values (how long that information is valid for) will remain.

Statistics Reset Interval:

Enter a time value to specify the time during which statistics collected by an Oracle Names server will accumulate. The default value of 0 will cause statistics not to reset.

Statistics Log Interval:

Enter a time value to specify the time between statistical dumps to the log file. The default value of 0 will disable logging. If this statistic is used, the value should be smaller than the statistics reset interval (otherwise nothing will get logged).

Auto Refresh Interval:

Enter the retry interval period in which the Oracle Names server will wait between attempts to contact the Oracle Names servers on its hint list.

The Oracle Names servers, on startup, contacts all the Oracle Names servers on its domain hint list. Shortly before their information expires (based on the TTL values passed to the local server), the local Oracle Names server tries to reconnect to refresh its information so it can continue to forward requests to the Oracle Names servers on its hint list. This value is between 60 and 3600 seconds, and should be shorter than the value for Auto Refresh Expiration. Default is 180 seconds.

Auto Refresh Expiration Period:

Enter the expiration period that will tell the Oracle Names server how long to keep trying the remote Oracle Names server before stopping and using that hint. An Oracle Names server, on startup, contacts all the Oracle Names server on its domain hint list. Shortly before their information expires (based on the TTL values passed to the local server), the local Oracle Names Server tries to reconnect to refresh their information so it can continue to forward requests to the Oracle Names servers on its hint list. This value is between 60 and 1209600 seconds, and should be longer than the value for Auto Refresh Retry. Default is 600 seconds.

Apply button:

Click to execute the tuning commands.

Revert button:

Click to restore the tab panel to its original settings.


Modifying an Oracle Names Server

 Modifying an Oracle Name Server

After an Oracle Names Server is created, you can modify any of fields.

  1. Double-click on the Oracle Names Servers folder.

  2. Select a Oracle Names server in the region.

  3. Choose Configure Server from the drop-down list box.

  4. Click the tab that is has the information you want to modify.


 Naming: External

The External tab allow you to specify where Net8 should resolve net service names for the following external naming method:

  • Cell Directory Service (CDS)

  • Netware Directory Service (NDS)

  • Network Information Service (NIS)

Cell Name:

Enter a valid DCE cell name (prefix) in the Cell Name field.

Name Context:

Enter a valid NDS name context in the Name Context field.

Meta Map:

Enter a valid NIS map file name in the Meta Map field.


 Naming: Methods

The Methods tab allows you to prioritize naming methods. Net8 will attempt to make a connection using the selected naming methods in the order specified until it succeeds in establishing a connection.

TNSNAMES:

TNSNAMES uses a local file, TNSNAMES.ORA, to store net service names on the client. This file is locally maintained to point the client to the services it needs. This naming method works best on small networks, and is not limited by protocol. To enter net service names which will be saved to the TNSNAMES.ORA file, see Using Net Service Names.

ONAMES:

ONAMES specifies Net8 to use Oracle Names servers to resolve a net service name to a network address. Oracle Names is a distributed naming service developed for Oracle environments. Oracle Names stores and maintains net service names and addresses in an integrated system of Names Servers. If you specify ONAMES, Net8 will forward a client's connect request to a nearby Oracle Names server in an attempt to resolve the net service name to an address.

IMPORTANT: If you selected ONAMES, you need to specify a Preferred Names Server or use the Discover Oracle Names Server option in order for the client to know about Oracle Names servers.

Additional Information:

  • Configuring the Client to Use Preferred Names Servers

  • Discovering Oracle Names Servers

HOSTNAME:

HOSTNAME specifies Net8 to resolve a hostname to an address. This option may be used only if all of the following are true:

  • Your client and server are using a TCP/IP protocol.

  • The hostname is resolved through an IP address translation mechanism such as DNS, NIS, or a centrally maintained TCP/IP hosts file.

  • No Oracle Connection Manager features are requested.

  • The original or canonical host name of the machine matches exactly the global database name; or if the host name is aliased to be the same as any global database names defined on the host machine.

CDS/NDS/NIS:

Cell Directory Service (CDS), Netware Directory Service (NDS), and Network Information Service (NIS) are all native naming services supported by Net8. If you are using a native naming service, Net8 will forward the connect request to that service in an attempt to resolve the net service name to an address.

Note: If you select either CDS, NDS, or NIS, you will need to specify additional parameters.

< button:

Click to move a naming method from the Available Methods list to the Selected Methods list.

> button:

Click to move a naming method from the Selected Methods to the Available Methods list.

Promote button:

Click to move a naming method up in the Selected Methods list. Net8 tries to use the first method to resolve a net service name. If it cannot use the first method, it uses the second method, and so on.

Demote button:

Click to move an authentication method down in the Selected Methods list.


 Naming: Oracle Names

The Oracle Names tab allow you to configure how clients will use Oracle Names servers:

Default Domain: | Specify the name of the domain name space within which most client request take place. It could be the domain where the client resides, or it could be a domain from which the client requests network services often. When set, the domain name will automatically be appended to any unqualified name in a connection request. No domain is specified by default.
Maximum Wait Each Attempt: | Specify a value between 1-600 second for how long a client will wait for a response from an Oracle Names server before reiterating the request to the next Oracle Names server.
Attempts per Names Server: | Specify between 1-5 for how many times a client will try each Oracle Names server before allowing the operation to fail. Oracle Names will try each server once by default.
Maximum Open Connections: | Specify a value between 3-64 for how many connections an Oracle Names client may have open at one time to an Oracle Names server. Oracle Names will calculate a number of connections acceptable for most installations by default. The only time you would want to change this parameter is if this client is an Oracle Names server itself. In that case, the local Oracle Names server would be acting as a client and opening connections to other Oracle Names servers to resolve requests from other clients. Then you would want to increase this value. Otherwise, the default works fine for virtually all networks.
Initial Preallocated Requests: | Specify a value between 3-256 to pre-allocate an initial number of messages in the client's message pool. These messages may be used for future requests to Oracle Names servers. Oracle Names will pre-allocate 10 messages by default. The only time you would want to change this parameter is if this client is an Oracle Names server on an overburdened network (one that does not have enough oracle Names servers). Otherwise, the default value should work fine.


 Net Service Name Characteristics

This panel allows you to:

  • Modify, add, or delete a protocol address for a net service name.

  • Configure advanced address characteristics.

  • Configure multiple address characteristics.

  • Modify a release 8.1 service or pre-release 8.1 service.

All information is stored in a TNSNAMES.ORA file located in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms. This file is locally maintained on this machine.

Address Configuration

Use the Address tab to modify, add or delete a protocol address for a net service name. If an address is already configured, its protocol information displays in the fields.

Protocol: | From the drop-down list, select the protocol for the address. Depending on the protocol chosen, enter information in the fields as appropriate.
+ button: | Click this button to create a new protocol address. A new Address tab displays where you can select the protocol and enter protocol information in the fields. Enter the protocol address information the listener is configured to listen on. The client uses this address to connect to the listener. The chosen protocol must be installed on both the client and server (where the listener resides).
X button: | Click this button to delete the address in the current Address tab displayed.
< button: | Click to move the address down in the list order.
> button: | Click to move the address down in the list order.
Advanced: | Click to configure address list options .

Service Identification

When multiple addresses exists for a net service name, you can configure the following:

Service Name: | Enter a service name if configuring this client to connect to a release 8.1 service.
SID: | Enter a System ID (SID) if configuring this client to connect to a pre-release 8.1 database.
Use Oracle8i Release 8.0 Compatible Identification: | Select this option if you are configuring a client to connect to a pre-release 8.1 service. You have to enter a System ID (SID) for the database in the SID field. Clear this option if you are configuring for a release 8.1 service name. You must enter a service name in the Service Name field. The advanced options that may be configured are also impacted by this option being selected.
Advanced: | Click to configure advanced service options.


 Other Services

Other Services allows you to configure non-database services with the listener, such as external procedure calls or Heterogeneous Services, as described in the Net8 Administrator’s Guide.

Add Service button:

Click this button to specify a service for the listener. A new Service tab displays where you define information about the service.

Remove Service button:

Click this button to delete the service in the current Service tab displayed.

Service tab

Use this tab to configure a listener to handle requests for a non-database service. You do this by specifying the following:

Global Service Name: | Enter the service name and domain name of the non-Oracle database service.
Program Name: | Specify the service’s executable program name. For example, extproc.exe.
Program Argument Zero: | Specify the internal first argument (argv0) which is often used as an alternative program name.
Program Arguments: | Enter the command line arguments that should be passed when starting the service. For example,"-mode=5".
Environment: | Enter any environment variables which should be set prior to starting the service. Environment variables are specified in the following format: environment_variable=values For example, user=scott or start=immediate. Note that variables are separated by commas.
SID: | Specify the system identifier. It is required if there is more than one service installed on a machine.


 Preferred Oracle Names Server

A preferred Oracle Names Server is an Oracle Names Server that is preferred by a client for names resolution. It is normally the Oracle Names server that is physically closest to the client, or available over the least expensive network link. Most importantly, a preferred Oracle Names server should be able to resolve the net service names of the services you use most frequently.

A preferred Oracle Names server’s location is explicitly specified in the SQLNET.ORA file.


 Preferred Oracle Names Servers: Preferred Server

The Preferred Names Servers tab allows you to identify a list of preferred Oracle Names servers. A preferred Oracle Names server is preferred by a client for names resolution. If you are using Oracle Names, you will need to locate where Names servers exist on the network in order to obtain information from them. Net8 will initially attempt to contact the first preferred Oracle Names server in the list.

Preferred Oracle Names servers are stored in the SQLNET.ORA file.

Note: This is an alternative to using the Discover Oracle Names Servers option, a newer feature that creates a list of Oracle Names servers in a SDNS.ORA file. The SDNS.ORA file is based on what is available throughout the network, ranked in the order of fastest response time. Preferred Oracle Names servers override any other Oracle Names servers found in the discovery process. Once you have initially discovered an Oracle Names Server and generated an Oracle Names server list file, you may want to delete preferred Oracle Names Servers.

Protocol

From the drop-down list, select the protocol for the address. Depending on the protocol chosen, enter information in the fields as appropriate:

Protocol | Parameter | Description
IPC | KEY | Identifies the Oracle Names server.
Named Pipes | SERVER | Identifies the name of the Oracle Names server.
 | PIPE | Identifies the pipe name to use to connect to the Oracle Names server (the same PIPE keyword you specified on the server with Named Pipes). This name can be any name.
SPX | SERVICE | Defines the name of the TNS-based application on the network.
TCP/IP or TCP/IP with SSL Note: Choosing the TCP/IP with SSL protocol configures a default implementation of SSL for this machine. | HOST | Identifies the Oracle Names server host name.
 | PORT | Identifies the Oracle Names server listening port number. 1575 is the recommended and officially registered port.

New button:

Click this button to create a new preferred Oracle Names server. A new Preferred Server tab displays where you can select the protocol and enter protocol information in the fields.

Delete Address button:

Click this button to delete the preferred Oracle Names server in the current Preferred Server tab displayed.


 Reloading Data from Oracle Names Servers

If there have been changes to the data stored to other Oracle Names servers in a region, you can have an Oracle Names server check for data changes in its administrative region. If there are changes, the Oracle Names server reloads all database service names, net service names, global database links, and aliases.

To reload data Oracle Names servers:

Choose Reload All Names Servers from the Tools menu.


 Replicate Data Among Oracle Names Servers

Step 1: Create an Oracle Names server so data is replicated with another Oracle Names server:

  1. Click the Oracle Names Servers folder.

  2. Choose Create from the Edit menu, or click on the "+" button to create a new Oracle Names server.

    The Names Wizard starts. The wizard guides you through the creation and configuration process. Be sure to click Don’t use a region database. When the wizard completes, the following message appears: A Names Server, onames_name, has been created with default settings. Use the Configure Server section to modify the default configuration.

  3. Have each Oracle Names server, except the first Oracle Names server in the region, discover the other Oracle Names servers for a region. On the machine where Oracle Names resides:

    a. Choose Manage Server from the drop-down list box.

    b. Click the Control tab.

    c. Click the Start option button from the Server Operations field.

    d. Click Apply.

  4. Choose Save Network Configuration from the File menu to save changes to NAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.

Step 2: Discover Oracle Names Servers

After all the Oracle Names servers are configured, have each Oracle Names, except the first Oracle Names server in the region, discover the other Oracle Names servers for a region. When the client discovers Oracle Names servers, it tries to find one Oracle Names server. Once the client finds an Oracle Names server, it queries for all other Oracle Names server in the domain. A list of Oracle Names servers is then created on the client. This list is created in order of response time.

Discovery tries to first look for a preferred Oracle Names server in the SQLNET.ORA file, then a well-known Oracle Names server. Newer configurations of Oracle Names version 8 do not require that you specify:

  • a preferred Oracle Names server in the SQLNET.ORA file

  • a specific well-known Oracle Names server name

If the network configuration does not have an older Oracle Names configuration, the client may not be able to discover the first Oracle Names server. In this case, you must specify the address of the Oracle Names server.

To discover Oracle Names servers:

  1. Choose Discover Oracle Names Servers from the Tools menu. This produces an SDNS.ORA file in $ORACLE_HOME/network/names on UNIX and ORACLE_ HOME\network\names on Windows platforms. This file contains the names of the Oracle Names server(s). This file is read to find the addresses of Oracle Names servers. The following message appears: Discovered Oracle Names Server in the region. Please exit the tool and start again. If an Oracle Names server does not respond, and you know the network address of a particular Oracle Names server, a dialog will prompt you for the that address. For example:

    (ADDRESS=(PROTOCOL=Protocol Name)(HOST=Hostname)(PORT=PortNumber))

  2. Choose Save Network Configuration from the File menu to save changes to NAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Store Data in a Database

Service registration data may be stored in a region database. A region database consists of tables in an Oracle database that stores Oracle Names information. A region database does not necessarily have its own database engine, nor is the data stored somewhere separate from any other data. A region database is merely a collection of tables with Oracle Names information that can exist within a larger database. It can be managed by a database instance that is also managing other data.

To create an Oracle Names server so data is stored in an Oracle database:

  1. Use Server Manager and log into the Oracle database that you plan to use as the repository of the region’s information, using the account that the Oracle Names server will use to connect to the database. Note you will need to have the right to create tables when you log in.

  2. To generate new tables, run the NAMESINI.SQL script located at $ORACLE_ HOME/network/admin/names on UNIX and ORACLE_ HOME\network\admin on Windows NT platforms. This script creates the tables needed by Oracle Names to store information. Optionally, run NAMESUPG.SQL to define old tables.

  3. From the Net8 Assistant, click the Oracle Names Servers folder.

  4. Choose Create from the Edit menu, or click on the "+" button to create a new Oracle Names server. The Names Wizard starts. The wizard guides you through the creation and configuration process. Be sure to click Use a region database.

    When the wizard completes, the following message appears:

    A Names Server, onames_name, has been created with default settings. Use the Configure Server section to modify the default configuration.

  5. Choose Save Network Configuration from the File menu to save changes to NAMES.ORA in $ORACLE_HOME/network/admin on UNIX or ORACLE_HOME\network\admin on Windows platforms, or choose Save As from the File menu to save under a different file name or path.


 Using Oracle Names Servers

Oracle Names simplifies the setup and administration of global, client/server computing networks. Oracle Names makes network address and database link information available to all nodes throughout the network. Each database server’s network address is identified with a simple service name. Client applications then can request a database connection with that name rather than a lengthy address. Oracle Names shields users and applications from changes made to the network infrastructure. It provides for centralized administration of network service names.


 Well-known Oracle Names Server

A well-known Oracle Names server is based on the Oracle Names version 2 Dynamic Discovery Option that discovers Oracle Names servers based on a precise name:

Well-known host names for TCP connections | Well-known computer Names for Named Pipes connections | Well-known service name for an SPX connection
oranamesrvr0 oranamesrvr1 oranamesrvr2 oranamesrvr3 oranamesrvr4 | ORANAMESRVR0 ORANAMESRVR1 ORANAMESRVR2 ORANAMESRVR3 ORANAMESRVR4 | oranamesrvr